"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.installBackendGlobally = exports.initializeBackendManager = void 0;

var _child_process = require("child_process");

var _chalk = _interopRequireDefault(require("chalk"));

var _stringio = require("@rauschma/stringio");

var _exec = require("./exec");

var _utils = require("./utils");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* eslint no-console: 0 */
// eslint-disable-next-line
const initializeBackendManager = async env => {
  const initScriptPath = (0, _utils.createAmplifyInitScriptWithEnv)(env);
  const childProcess = (0, _child_process.spawn)(initScriptPath, [], {
    stdio: [process.stdin, process.stdout, process.stderr]
  });
  await (0, _stringio.onExit)(childProcess);
};

exports.initializeBackendManager = initializeBackendManager;

const installBackendGlobally = async () => {
  let result = null;
  console.log();
  console.log(_chalk.default.yellow('...please wait. This may take a few minutes...'));

  try {
    result = await (0, _exec.shellExec)(`npm install -g @aws-amplify/cli@multienv`);
    console.log(_chalk.default.red(result.stderr));
    console.log(_chalk.default.green(result.stdout));
  } catch (err) {
    console.log(_chalk.default.red(err));
  }
};

exports.installBackendGlobally = installBackendGlobally;